ClarisWksTable Class Reference

the main class to read the text part of Claris Works file More...

`#include <ClarisWksTable.hxx>`

## Public Member Functions

| ClarisWksTable (ClarisWksDocument &document)
| constructor
virtual | ~ClarisWksTable ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages
std::shared_ptr< ClarisWksStruct::DSET > | readTableZone (ClarisWksStruct::DSET const &zone, MWAWEntry const &entry, bool &complete)
| reads the zone Text DSET

## Protected Member Functions

bool | sendZone (int number)
| sends the zone data to the listener (if it exists )
bool | askMainToSendZone (int number)
| ask the main parser to send a zone
void | flushExtra ()
| sends the data which have not yet been sent to the listener
bool | readTableBorders (ClarisWksTableInternal::Table &table)
| try to read the table border
bool | readTableCells (ClarisWksTableInternal::Table &table)
| try to read the table cells
bool | readTableBordersId (ClarisWksTableInternal::Table &table)
| try to read the table border
bool | readTablePointers (ClarisWksTableInternal::Table &table)
| try to read a list of pointer ( unknown meaning )

## Protected Attributes

ClarisWksDocument & | m_document
| the document
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< ClarisWksTableInternal::State > | m_state
| the state
MWAWParser * | m_mainParser
| the main parser;

## Private Member Functions

| ClarisWksTable (ClarisWksTable const &orig)=delete
ClarisWksTable & | operator= (ClarisWksTable const &orig)=delete

## Friends

class | ClarisWksDocument
class | ClarisWksParser
struct | ClarisWksTableInternal::Table

## Detailed Description

the main class to read the text part of Claris Works file

## Constructor & Destructor Documentation

## ClarisWksTable() [1/2]

ClarisWksTable::ClarisWksTable | ( | ClarisWksDocument & | document | ) |

explicit

constructor

Referenced by ClarisWksTable(), and operator=().

## ~ClarisWksTable()

ClarisWksTable::~ClarisWksTable | ( |  | ) |

virtual

destructor

## ClarisWksTable() [2/2]

ClarisWksTable::ClarisWksTable | ( | ClarisWksTable const & | orig | ) |

private delete

## Member Function Documentation

## askMainToSendZone()

bool ClarisWksTable::askMainToSendZone | ( | int | number | ) |

protected

ask the main parser to send a zone

## flushExtra()

void ClarisWksTable::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

## numPages()

int ClarisWksTable::numPages | ( |  | ) | const

returns the number of pages

## operator=()

ClarisWksTable & ClarisWksTable::operator= | ( | ClarisWksTable const & | orig | ) |

private delete

## readTableBorders()

bool ClarisWksTable::readTableBorders | ( | ClarisWksTableInternal::Table & | table | ) |

protected

try to read the table border

Referenced by readTableZone().

## readTableBordersId()

bool ClarisWksTable::readTableBordersId | ( | ClarisWksTableInternal::Table & | table | ) |

protected

try to read the table border

Referenced by readTableZone().

## readTableCells()

bool ClarisWksTable::readTableCells | ( | ClarisWksTableInternal::Table & | table | ) |

protected

try to read the table cells

Referenced by readTableZone().

## readTablePointers()

bool ClarisWksTable::readTablePointers | ( | ClarisWksTableInternal::Table & | table | ) |

protected

try to read a list of pointer ( unknown meaning )

Referenced by readTableZone().

## readTableZone()

std::shared_ptr< ClarisWksStruct::DSET > ClarisWksTable::readTableZone | ( | ClarisWksStruct::DSET const & | zone,
|  | MWAWEntry const & | entry,
|  | bool & | complete )

reads the zone Text DSET

find 3 ptr here in general >= PTR, very often PTR+4,PTR+8,PTR+c, but can be more complex for instance PTR+354,PTR-6924,PTR+7fc,

three fields which seems to follows the list of cells zone 0 : looks like a list of integer : related to last selected border ? zone 1 : looks like a list of integer : unknown meaning

## sendZone()

bool ClarisWksTable::sendZone | ( | int | number | ) |

protected

sends the zone data to the listener (if it exists )

Referenced by flushExtra().

## version()

int ClarisWksTable::version | ( |  | ) | const

returns the file version

## Friends And Related Symbol Documentation

## ClarisWksDocument

friend class ClarisWksDocument

friend

Referenced by ClarisWksDocument, ClarisWksTable(), and ClarisWksTableInternal::Table.

## ClarisWksParser

friend class ClarisWksParser

friend

Referenced by ClarisWksParser.

## ClarisWksTableInternal::Table

friend struct ClarisWksTableInternal::Table

friend

## Member Data Documentation

## m_document

ClarisWksDocument& ClarisWksTable::m_document

protected

the document

Referenced by askMainToSendZone(), ClarisWksTable(), readTableBorders(), readTableCells(), readTableZone(), and sendZone().

## m_mainParser

MWAWParser* ClarisWksTable::m_mainParser

protected

the main parser;

Referenced by ClarisWksTable().

## m_parserState

MWAWParserStatePtr ClarisWksTable::m_parserState

protected

the parser state

Referenced by ClarisWksTable(), flushExtra(), readTableBorders(), readTableBordersId(), readTableCells(), readTablePointers(), readTableZone(), sendZone(), and version().

## m_state

std::shared_ptr<ClarisWksTableInternal::State> ClarisWksTable::m_state

protected

the state

Referenced by ClarisWksTable(), flushExtra(), readTableZone(), and sendZone().

The documentation for this class was generated from the following files:

- ClarisWksTable.hxx
- ClarisWksTable.cxx